Page MenuHomePhabricator

CirrusSearch extension is missing @covers tags
Closed, ResolvedPublic

Description

PHPCS has identified that some of the CirrusSearch PHPUnit tests are missing @covers tags. Those tags
are necessary for PHPUnit to accurately calculate test coverage.

See the PHPUnit documentation for how to use it.

Once the tags have been added, the MissingCovers sniff should be re-enabled in .phpcs.xml.

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterAdd @covers to unit tests

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptMay 20 2018, 1:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
EBjune triaged this task as Medium priority.May 31 2018, 5:25 PM
EBjune moved this task from needs triage to Tech Debt/Misc on the Discovery-Search board.
Vvjjkkii renamed this task from CirrusSearch extension is missing @covers tags to xmcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from xmcaaaaaaa to CirrusSearch extension is missing @covers tags.Jul 2 2018, 5:29 AM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 455301 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/CirrusSearch@master] Add @covers to unit tests

https://gerrit.wikimedia.org/r/455301

Change 455301 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Add @covers to unit tests

https://gerrit.wikimedia.org/r/455301

Legoktm closed this task as Resolved.Aug 26 2018, 4:48 PM
Legoktm assigned this task to Umherirrender.